### Hierarchy

- ConvInteractionAdapter

### Implements

- ConvInteraction

## Index

### Constructors

- constructor

### Properties

- attributes
- eventPayload
- payload
- type

### Methods

- toIPayloadEvent

## Constructors

### constructor

- new ConvInteractionAdapter(eventPayload: IEventPayload): ConvInteractionAdapter

- - Defined in lib/connection/InteractionSubscription.ts:62

  #### Parameters

  - ##### eventPayload: IEventPayload

  #### Returns ConvInteractionAdapter

## Properties

### attributes

attributes: object

- Defined in lib/connection/InteractionSubscription.ts:60

### Private eventPayload

eventPayload: IEventPayload

- Defined in lib/connection/InteractionSubscription.ts:59

### payload

payload: object

- Defined in lib/connection/InteractionSubscription.ts:61

### type

type: string

- Defined in lib/connection/InteractionSubscription.ts:62

## Methods

### toIPayloadEvent

- toIPayloadEvent(): IEventPayload

- - Defined in lib/connection/InteractionSubscription.ts:71

  #### Returns IEventPayload

Generated using TypeDoc